hid_device Struct Reference
Collaboration diagram for hid_device:
[legend]

## Public Attributes

int | device_handle
int | blocking
int | uses_numbered_reports
IOHIDDeviceRef | device_handle
int | disconnected
CFStringRef | run_loop_mode
CFRunLoopRef | run_loop
CFRunLoopSourceRef | source
uint8_t * | input_report_buf
CFIndex | max_input_report_len
struct input_report * | input_reports
pthread_t | thread
pthread_mutex_t | mutex
pthread_cond_t | condition
pthread_barrier_t | barrier
pthread_barrier_t | shutdown_barrier
int | shutdown_thread
hid_device * | next
HANDLE | device_handle
BOOL | blocking
USHORT | output_report_length
size_t | input_report_length
void * | last_error_str
DWORD | last_error_num
BOOL | read_pending
char * | read_buf
OVERLAPPED | read_ol
OVERLAPPED | write_ol

## Detailed Description

opaque hidapi structure

## Member Data Documentation

pthread_barrier_t hid_device::barrier

int hid_device::blocking

BOOL hid_device::blocking

pthread_cond_t hid_device::condition

int hid_device::device_handle

IOHIDDeviceRef hid_device::device_handle

HANDLE hid_device::device_handle

int hid_device::disconnected

uint8_t* hid_device::input_report_buf

size_t hid_device::input_report_length

struct input_report* hid_device::input_reports

DWORD hid_device::last_error_num

void* hid_device::last_error_str

CFIndex hid_device::max_input_report_len

pthread_mutex_t hid_device::mutex

hid_device* hid_device::next

USHORT hid_device::output_report_length

char* hid_device::read_buf

OVERLAPPED hid_device::read_ol

BOOL hid_device::read_pending

CFRunLoopRef hid_device::run_loop

CFStringRef hid_device::run_loop_mode

pthread_barrier_t hid_device::shutdown_barrier

int hid_device::shutdown_thread

CFRunLoopSourceRef hid_device::source

pthread_t hid_device::thread

int hid_device::uses_numbered_reports

OVERLAPPED hid_device::write_ol

The documentation for this struct was generated from the following files:

- hid-linux.c
- hid-mac.c
- hid-windows.c